Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.relational
Class Relation

    java.lang.Object
      unity.relational.Relation

    public class Relation

extends java.lang.Object

Constructor Summary
`Relation()`
`Relation(Attribute[] attrs)`
`Relation(Relation r)`

Method Summary
`Attribute` | `getAttribute(int index)`
`int` | `getAttributeIndex(java.lang.Object ref)`
`int` | `getAttributeIndex(java.lang.String name)`
`int` | `getAttributeIndexbyFullName(java.lang.String name)`
`int` | `getAttributeIndexByName(java.lang.String name)`
`int` | `getAttributeType(int index)`
`int` | `getNumAttributes()`
`void` | `mergeRelation(Relation r)`
`Relation` | `projectRelation(ProjectionList plist)`
`void` | `setAttribute(int index, Attribute a)`
`void` | `setAttributeType(int i, int type)`
`java.lang.String` | `toString()`
`static Relation` | `unionCompatible(Relation leftRelation, Relation rightRelation, Expression[] exprConvertLeft, Expression[] exprConvertRight, boolean[] flags)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Relation

    public Relation()

### Relation

    public Relation(Attribute[] attrs)

### Relation

    public Relation(Relation r)

Method Detail

### getAttributeType

    public int getAttributeType(int index)

### setAttributeType

    public void setAttributeType(int i,
                                 int type)

### getNumAttributes

    public int getNumAttributes()

### getAttribute

    public Attribute getAttribute(int index)

### setAttribute

    public void setAttribute(int index,
                             Attribute a)

### getAttributeIndex

    public int getAttributeIndex(java.lang.String name)

### getAttributeIndexByName

    public int getAttributeIndexByName(java.lang.String name)

### getAttributeIndexbyFullName

    public int getAttributeIndexbyFullName(java.lang.String name)

### getAttributeIndex

    public int getAttributeIndex(java.lang.Object ref)

### mergeRelation

    public void mergeRelation(Relation r)

### projectRelation

    public Relation projectRelation(ProjectionList plist)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### unionCompatible

    public static Relation unionCompatible(Relation leftRelation,
                                           Relation rightRelation,
                                           Expression[] exprConvertLeft,
                                           Expression[] exprConvertRight,
                                           boolean[] flags)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD